Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227534 - pressing power button brings up shutdown display twice on my d620 laptop in gnome
Summary: pressing power button brings up shutdown display twice on my d620 laptop in g...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 18:55 UTC by ritz
Modified: 2013-03-06 03:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 23:43:22 UTC


Attachments (Terms of Use)

Description ritz 2007-02-06 18:55:14 UTC
Description of problem:
Pressing power button brings shutdown button twice.


Version-Release number of selected component (if applicable):
hal-0.5.8.1-8.fc7
dbus-1.0.1-9.fc6

How reproducible:
always

Steps to Reproduce:
1. click on power button on
2. cancel the shutdown dialog
3. and i still see another shutdown dialog
  
Actual results:
two shutdown dialog

Expected results:
one shutdown dialog

Additional info:# dbus-monitor --session --monitor --system

signal sender=org.freedesktop.DBus -> dest=:1.77 path=/org/freedesktop/DBus;
interface=org.freedesktop.DBus; member=NameAcquired
   string ":1.77"
signal sender=:1.3 -> dest=(null destination)
path=/org/freedesktop/Hal/devices/computer_logicaldev_input_0;
interface=org.freedesktop.Hal.Device; member=Condition
   string "ButtonPressed"
   string "power"
signal sender=:1.3 -> dest=(null destination)
path=/org/freedesktop/Hal/devices/acpi_PBTN;
interface=org.freedesktop.Hal.Device; member=Condition
   string "ButtonPressed"
   string "power"

Comment 1 ritz 2007-02-06 19:10:20 UTC
out of curiosity, which app receive this event ?

Comment 2 David Zeuthen 2007-04-02 23:43:22 UTC
(In reply to comment #1)
> out of curiosity, which app receive this event ?

gnome-power-manager. And it's fixed already with this patch

 http://gitweb.freedesktop.org/?p=hal.git;a=commit;h=f30d5efd1458cc43ec90563ea4028a26fdef7689

which is in RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.